# Release Checklist

Use this release checklist when releasing a new version of push-android-client. Ensure they are followed in order.
Paste everything after the line into your Astro release pull request.

-----

**Version**: ________________________________

- [ ] Branch off `develop` and create a `release-vX.Y.Z` branch.
- [ ] Create a new pull request with the following settings:
      * Base: `master`
      * Compare: `release-vX.Y.Z`
- [ ] Ensure tests are passing on CircleCi
- [ ] Update the version of the `mobify-push-android-client` npm module in `package.json`.
- [ ] In the CHANGELOG.md file of this release branch, change the 'To be released' header to 'vX.Y'.
- [ ] Merge `release-vX.Y.Z` into `master` using the pull request (**don't delete the `release-vX.Y.Z` branch yet!!**).
- [ ] Publish the new version to npm: `npm publish`
- [ ] Draft a new Github release with the following setings:
      * Tag version: `X.Y.Z` @ `release-vX.Y.Z`
      * Release title: `Release vX.Y.Z`
      * Description: Use highlights from changelog
      * This is a pre-release: ✓
- [ ] Merge `master` into `develop` (no pull request needed, just merge).
- [ ] Create a branch off of `develop` (like `post-vX.Y.Z-updates`).
    - [ ] In the CHANGELOG.md file of the `develop` branch, add a new header to the top of the file:

        ```
        ## To be released
        ```

    - [ ] Merge back to `develop` (no need for PR or reviews as the changes are just book-keeping)
