package com.mobify.push.pushclient.utilities;

import org.junit.Test;

import static org.hamcrest.CoreMatchers.equalTo;
import static org.junit.Assert.assertThat;
import static org.junit.Assert.assertTrue;

public class HexUtilitiesTest {

    String hexRegExpression = "-?[0-9a-fA-F]+";

    @Test
    public void getRandomHexStringLength10() {
        int length = 10;
        String hexResult = HexUtilities.getRandomHexString(length);

        assertThat(hexResult.length(), equalTo(length));
        assertTrue(hexResult.matches(hexRegExpression));
    }

    @Test
    public void getRandomHexStringLength0() {
        int length = 0;
        String hexResult = HexUtilities.getRandomHexString(length);

        assertThat(hexResult.length(), equalTo(length));
    }

    @Test
    public void getRandomHexStringLength23() {
        int length = 23;
        String hexResult = HexUtilities.getRandomHexString(length);

        assertThat(hexResult.length(), equalTo(length));
        assertTrue(hexResult.matches(hexRegExpression));
    }
}
